[Fusionforge-commits] FusionForge branch Branch_5_3 updated. b3abd9e4f26982e4cbd30393246081e694ab44c6

Roland Mas lolando at fusionforge.org
Mon Jun 2 16:40:39 CEST 2014


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "FusionForge".

The branch, Branch_5_3 has been updated
       via  b3abd9e4f26982e4cbd30393246081e694ab44c6 (commit)
      from  4acee484d0b6e68a66ff31fe50435f449fdf93fe (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit b3abd9e4f26982e4cbd30393246081e694ab44c6
Author: Roland Mas <lolando at debian.org>
Date:   Mon Jun 2 16:40:31 2014 +0200

    Debian testsuite: only grab loggerhead, rather than pulling many packages from Jessie

diff --git a/tests/scripts/fusionforge-build-and-test-deb.sh b/tests/scripts/fusionforge-build-and-test-deb.sh
index 0c5a305..9e997cc 100755
--- a/tests/scripts/fusionforge-build-and-test-deb.sh
+++ b/tests/scripts/fusionforge-build-and-test-deb.sh
@@ -109,10 +109,17 @@ ssh root@$HOST "UCF_FORCE_CONFFNEW=yes DEBIAN_FRONTEND=noninteractive LANG=C apt
 
 if [ "$DIST" = wheezy ] ; then
     ssh root@$HOST "UCF_FORCE_CONFFNEW=yes DEBIAN_FRONTEND=noninteractive LANG=C apt-get -o debug::pkgproblemresolver=true -y --force-yes install javascript-common"
-    ssh root@$HOST "echo \"deb $DEBMIRROR jessie main\" >> /etc/apt/sources.list.d/jessie.list"
-    ssh root@$HOST "apt-get update"
-    ssh root@$HOST "UCF_FORCE_CONFFNEW=yes DEBIAN_FRONTEND=noninteractive LANG=C apt-get -o debug::pkgproblemresolver=true -y --force-yes install loggerhead python"
-    ssh root@$HOST "rm /etc/apt/sources.list.d/jessie.list"
+    # ssh root@$HOST "echo \"deb $DEBMIRROR jessie main\" >> /etc/apt/sources.list.d/jessie.list"
+    # ssh root@$HOST "apt-get update"
+    # ssh root@$HOST "UCF_FORCE_CONFFNEW=yes DEBIAN_FRONTEND=noninteractive LANG=C apt-get -o debug::pkgproblemresolver=true -y --force-yes install loggerhead python"
+    # ssh root@$HOST "rm /etc/apt/sources.list.d/jessie.list"
+
+    # Grab a more recent loggerhead (without pulling everything)
+    if ! dpkg -l loggerhead | grep -q ^ii ; then
+	wget -c http://snapshot.debian.org/archive/debian/20121107T152130Z/pool/main/l/loggerhead/loggerhead_1.19%7Ebzr477-1_all.deb
+	aptitude install gdebi-core
+	gdebi --non-interactive loggerhead_1.19~bzr477-1_all.deb
+    fi
 fi
 
 ssh root@$HOST "echo \"deb $DEBMIRROR $DIST main\" > /etc/apt/sources.list"

-----------------------------------------------------------------------

Summary of changes:
 tests/scripts/fusionforge-build-and-test-deb.sh |   15 +++++++++++----
 1 file changed, 11 insertions(+), 4 deletions(-)


hooks/post-receive
-- 
FusionForge



More information about the Fusionforge-commits mailing list